Name:           coreboot-utils
Version:        4.0
Release:        5%{?dist}
Summary:        Various utilities from coreboot project

Group:          System Environment/Base
# superiotool is GPLv2+, rest is GPLv2
License:        GPLv2 and GPLv2+
URL:            http://www.coreboot.org/
# git clone  --no-checkout http://review.coreboot.org/p/coreboot.git
# cd coreboot
# git archive --prefix=coreboot-utils-4.0/ 4.0 util/ |gzip -9 >coreboot-utils-4.0.tar.gz
Source0:        %{name}-%{version}.tar.gz
# Alread fixed in GIT master
Patch0:         0001-Fix-build-with-Werror-format-security.patch
# http://review.coreboot.org/#/c/5075/
Patch1:         0001-Do-not-install-manual-pages-executable.patch
# http://review.coreboot.org/#/c/5076/
Patch2:         0001-Update-addresses-in-license-text.patch

BuildRequires:  pciutils-devel
Provides:       superiotool = %{version}-%{release}
Obsoletes:      superiotool <= 0

%description
coreboot is a Free Software project aimed at replacing the proprietary BIOS
(firmware) found in most computers. This package contains various utilities
used to develop and configure systems with coreboot.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" -C util/ectool
make %{?_smp_mflags} CC="%{__cc} %{optflags}" -C util/superiotool
make %{?_smp_mflags} CFLAGS="%{optflags}" -C util/nvramtool
make %{?_smp_mflags} CFLAGS="%{optflags}" -C util/romcc romcc
(cd util/mkelfImage && %configure && make %{?_smp_mflags})
%ifarch %{ix86} x86_64
make %{?_smp_mflags} CFLAGS="%{optflags}" -C util/inteltool
(cd util/msrtool && %configure && make %{?_smp_mflags})
%endif


%install
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_mandir}/man1

make %{?_smp_mflags} PREFIX=%{buildroot}/%{_prefix} -C util/ectool install
make %{?_smp_mflags} DESTDIR=%{buildroot} PREFIX=%{_prefix} -C util/superiotool install
make %{?_smp_mflags} DESTDIR=%{buildroot} PREFIX=%{_prefix} -C util/nvramtool install
install util/romcc/romcc %{buildroot}%{_bindir}
install -pm644 util/romcc/romcc.1 %{buildroot}%{_mandir}/man1/
make -C util/mkelfImage DESTDIR=%{buildroot} PREFIX=%{_prefix} install
%ifarch %{ix86} x86_64
make %{?_smp_mflags} DESTDIR=%{buildroot} PREFIX=%{_prefix} -C util/inteltool install
make -C util/msrtool DESTDIR=%{buildroot} PREFIX=%{_prefix} install
%endif

install -pm644 util/superiotool/README README.superiotool
install -pm644 util/superiotool/COPYING COPYING.superiotool
install -pm644 util/nvramtool/README README.nvramtool
install -pm644 util/nvramtool/COPYING COPYING.nvramtool
install -pm644 util/nvramtool/DISCLAIMER DISCLAIMER.nvramtool
install -pm644 util/romcc/COPYING COPYING.romcc
install -pm644 util/mkelfImage/AUTHORS AUTHORS.mkelfImage
install -pm644 util/mkelfImage/COPYING COPYING.mkelfImage
install -pm644 util/optionlist/README README.optionlist
%ifarch %{ix86} x86_64
install -pm644 util/msrtool/COPYING COPYING.msrtool
%endif


%files
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%doc README.superiotool COPYING.superiotool
%doc README.nvramtool COPYING.nvramtool DISCLAIMER.nvramtool
%doc COPYING.romcc
%doc AUTHORS.mkelfImage COPYING.mkelfImage
%doc README.optionlist
%ifarch %{ix86} x86_64
%doc COPYING.msrtool
%endif


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 28 2014 Lubomir Rintel <lkundrak@v3.sk> - 4.0-3
- Patch around wrong addresses in licenses and bad permissions

* Mon Jan 27 2014 Lubomir Rintel <lkundrak@v3.sk> - 4.0-2
- Adjust comment on generating source tree
- Fix executable modes
- Fix superio provide versioning

* Sat Jan 25 2014 Lubomir Rintel <lkundrak@v3.sk> - 4.0-1
- Initial packaging
